Extending Qt Creator Manual | ASTPath

Extending Qt Creator Manual 4.5.2

# ASTPath Class

(CPlusPlus::ASTPath)

- List of all members, including inherited members

## Public Functions

| ASTPath(Document::Ptr doc)
QList<AST *> | operator()(const QTextCursor &cursor)
QList<AST *> | operator()(int line, int column)

## Protected Functions

bool | preVisit(AST *ast) override

## Member Function Documentation

### ASTPath::ASTPath(Document::Ptr doc)

Default constructs an instance of ASTPath.

### `[protected]` bool ASTPath::preVisit(AST *ast)

### QList<AST *> ASTPath::operator()(const QTextCursor &cursor)

### QList<AST *> ASTPath::operator()(int line, int column)